package com.zhonghe.active4j.core.sm;

import cn.org.bjca.client.security.SecurityEngineDeal;
import org.springframework.web.bind.annotation.RequestParam;
import org.springframework.web.multipart.MultipartFile;

import java.io.*;
import java.nio.charset.StandardCharsets;
import java.nio.file.Files;
import java.nio.file.Path;
import java.nio.file.Paths;

public class FileEnDe {
    public static String encryptFile(@RequestParam("file") MultipartFile file) {
        try {
            // 加载证书库
            SecurityEngineDeal.setProfilePath("src/main/resources/config/config2");
            SecurityEngineDeal sed =
                    SecurityEngineDeal.getInstance("SVSDefault");
            String key = sed.genRandom(24);
            String savePath = "upfiles/";
            String inFile = file.getOriginalFilename();

            String fileName = file.getOriginalFilename().substring(0, file.getOriginalFilename().lastIndexOf("."));

            File directory = new File(savePath);
            if (!directory.exists()) {
                directory.mkdirs();
            }

            //Path path = Paths.get("upfiles/keys/key"+ inFile);

            Path path = Paths.get("src/main/resources/upfiles/keys/key" + fileName + ".txt");

            Files.write(path, key.getBytes(StandardCharsets.UTF_8));

            System.out.println(key);


            String fileinpath = savePath + inFile;
            FileOutputStream fos = new FileOutputStream(fileinpath);
            fos.write(file.getBytes());
            fos.close();
            System.out.println(fileinpath);
            String outFile = String.valueOf(new File("src/main/resources/upfiles/fileencode/" + inFile));
            boolean encRes = sed.encryptFile(key, fileinpath, outFile);
            System.out.println(encRes);
            return "文件加密成功";
        } catch (Exception e) {
            e.printStackTrace();
            return "文件加密失败";
        }
    }


    //文件解密
    public static String decryptFile(MultipartFile file) {
        try {
            // 加载证书库
            SecurityEngineDeal.setProfilePath("/src/main/resources/config2");
            SecurityEngineDeal sed =
                    SecurityEngineDeal.getInstance("SVSDefault");
            //String key = sed.genRandom(24);

            String inFile = file.getOriginalFilename();

            String fileName = file.getOriginalFilename().substring(0, file.getOriginalFilename().lastIndexOf("."));


            String savePath = "upfiles/";
            File directory = new File(savePath);
            if (!directory.exists()) {
                directory.mkdirs();
            }
            String filePath = savePath + inFile;
            FileOutputStream fos = new FileOutputStream(filePath);
            fos.write(file.getBytes());
            fos.close();

            String path = String.valueOf(Paths.get("/src/main/resources/upfiles/keys/key" + fileName + ".txt"));
            String key = readFileToString(path);

            System.out.println(key);
            System.out.println(filePath);
            String outFile = String.valueOf(new File("/src/main/resources/upfiles/filedecode/" + inFile));
            boolean decRes = sed.decryptFile(key, filePath, outFile);
            System.out.println(outFile);
            System.out.println(decRes);
            return "文件解密成功";
        } catch (Exception e) {
            e.printStackTrace();
            return "文件解密失败";
        }
    }



    public static String readFileToString(String path) {
        // 定义返回结果
        String jsonString = "";
        BufferedReader in = null;
        try {
            in = new BufferedReader(new InputStreamReader(new FileInputStream(new File(path)), "UTF-8"));// 读取文件
            String thisLine = null;
            while ((thisLine = in.readLine()) != null) {
                jsonString += thisLine;
            }
            in.close();
        } catch (IOException e) {
            e.printStackTrace();
        } finally {
            if (in != null) {
                try {
                    in.close();
                } catch (IOException el) {
                }
            }
        }
        // 返回拼接好的JSON String
        return jsonString;
    }
}
