package com.zhonghe.active4j.core.sm;

import cn.org.bjca.client.exceptions.*;
import cn.org.bjca.client.security.SecurityEngineDeal;
import cn.org.bjca.exceptions.CommonClientException;
import cn.org.bjca.utils.Base64;

public final class Sign {
    public static String DataSign(String strSrc) {
        SecurityEngineDeal.setProfilePath("src/main/resources/config/config2");
        SecurityEngineDeal sed;
        String signedValue = null;
        try {
            sed = SecurityEngineDeal.getInstance("SVSDefault");
            byte[] data = strSrc.getBytes();
            signedValue = sed.signData(data);
        } catch (SVSConnectException | ApplicationNotFoundException | InitException | ParameterTooLongException e) {
            e.printStackTrace();
        }
        return signedValue;
    }

    public static boolean DataSignVerify(String str, String signValue) {
        //传入两个参数：
        //第一个参数为需要签名的字符串
        //第二个参数为签名结果
        SecurityEngineDeal.setProfilePath("src/main/resources/config/config2");
        SecurityEngineDeal sed = null;
        boolean verifyRes = false;
        try {
            sed = SecurityEngineDeal.getInstance("SVSDefault");
            String cert = sed.getServerCertificate();
            byte[] data = str.getBytes();
            byte[] base64Decode = sed.base64Decode(signValue);
            byte[] decode = Base64.decode(signValue);
            verifyRes = sed.verifySignedData(cert, data, base64Decode);
            System.out.println(verifyRes);
        } catch (SVSConnectException | ApplicationNotFoundException | InitException | ParameterTooLongException |
                 ParameterInvalidException | UnkownException e) {
            e.printStackTrace();
        } catch (CommonClientException e) {
            throw new RuntimeException(e);
        }
        return verifyRes;
    }

    public static String FileSign(String strSrc) {
        SecurityEngineDeal.setProfilePath("src/main/resources/config/config2");
        SecurityEngineDeal sed;
        byte[] signedValueByte = new byte[0];
        String signedValue = null;
        try {
            sed = SecurityEngineDeal.getInstance("SVSDefault");
            signedValue = sed.signFile(strSrc);
        } catch (SVSConnectException | ApplicationNotFoundException | InitException e) {
            e.printStackTrace();
        }
        return signedValue;
    }

    public static boolean FileSignVerify(String str, String signValue) {
        SecurityEngineDeal.setProfilePath("src/main/resources/config/config2");
        SecurityEngineDeal sed;
        boolean verifyRes = false;
        try {
            sed = SecurityEngineDeal.getInstance("SVSDefault");
            String cert = sed.getServerCertificate();
            verifyRes = sed.verifySignedFile(cert, str, signValue);
        } catch (SVSConnectException | ApplicationNotFoundException | InitException | ParameterTooLongException | ParameterInvalidException | UnkownException e) {
            e.printStackTrace();
        }
        return verifyRes;
    }

}
