package com.zhonghe.active4j.core.sm;


import cn.org.bjca.client.exceptions.*;
import cn.org.bjca.client.security.SecurityEngineDeal;

import java.util.Arrays;

//创建时间戳
public final class TSS {
    /**
     * 时间戳创建
     * @param strSrc
     * @return
     */
    public static String TSSCreate(String strSrc) {
        String tsReq = null;
        try {
            SecurityEngineDeal sed;
            SecurityEngineDeal.setProfilePath("src/main/resources/config/config2");
            sed = SecurityEngineDeal.getInstance("TSSSM2");
            tsReq = sed.createTSByOriginalData(strSrc);
        } catch (ApplicationNotFoundException | InitException | SVSConnectException | ParameterTooLongException e) {
            e.printStackTrace();
        }
        return tsReq;
    }

    /**
     *
     * @param strSrc
     * @return
     */
    public static byte[] TSSAnalysis(String strSrc) {
        String tsInfo;
        byte[] s1 = new byte[0];
        try {
            SecurityEngineDeal sed;
            SecurityEngineDeal.setProfilePath("src/main/resources/config/config2");
            sed = SecurityEngineDeal.getInstance("TSSSM2");
            String tsRep = sed.createTSRequest(strSrc.getBytes(), true);
            String ts = sed.createTS(tsRep);
            tsInfo = sed.getTSInfo(ts, 1);
            s1 = sed.base64Decode(tsInfo);
            //System.out.println(Arrays.toString(s1));
        } catch (ParameterTooLongException | ApplicationNotFoundException | ParameterInvalidException | InitException | SVSConnectException | ParameterOutRangeException e) {
            e.printStackTrace();
        }
        return s1;
    }


    //解析时间戳响应
    //返回：时间戳
    public static String TSSTest(String strSrc) {
        String tsInfo = null;
        try {
            SecurityEngineDeal sed;
            SecurityEngineDeal.setProfilePath("src/main/resources/config/config2");
            sed = SecurityEngineDeal.getInstance("TSSSM2");
            String tsRep = sed.createTSRequest(strSrc.getBytes(), true);
            String ts = sed.createTS(tsRep);
            tsInfo = sed.getTSInfo(ts, 1);
        } catch (ParameterTooLongException | ApplicationNotFoundException | ParameterInvalidException | InitException | SVSConnectException | ParameterOutRangeException e) {
            e.printStackTrace();
        }
        return tsInfo;
    }


    public static int TSSVerify(String strSrc) {
        int verifyRes = 0;
        try {
            SecurityEngineDeal sed;
            SecurityEngineDeal.setProfilePath("src/main/resources/config/config2");
            sed = SecurityEngineDeal.getInstance("TSSSM2");
            String tsReq = sed.createTSRequest(strSrc.getBytes(), true);
            String tsRep = sed.createTS(tsReq);
            verifyRes = sed.verifyTS(tsRep, strSrc.getBytes());
            //System.out.println(verifyRes);

        } catch (ApplicationNotFoundException | InitException | SVSConnectException | ParameterTooLongException | ParameterInvalidException e) {
            e.printStackTrace();
        }
        return verifyRes;
    }

    public static String createTSByOriginalData(String inData) {
        SecurityEngineDeal sed;
        SecurityEngineDeal.setProfilePath("src/main/resources/config/config2");
        String tsRep = null;
        try {
            sed = SecurityEngineDeal.getInstance("TSSSM2");
            tsRep = sed.createTSByOriginalData(inData);
        } catch (SVSConnectException e) {
            e.printStackTrace();
        } catch (ApplicationNotFoundException e) {
            e.printStackTrace();
        } catch (InitException e) {
            e.printStackTrace();
        } catch (ParameterTooLongException e) {
            e.printStackTrace();
        }
        return tsRep;
    }

    public static boolean verifyTimeStamp (String tsRep) {
        SecurityEngineDeal sed;
        SecurityEngineDeal.setProfilePath("src/main/resources/config/config2");
        boolean verifyRes = false;
        try {
            sed = SecurityEngineDeal.getInstance("TSSSM2");
            verifyRes = sed.verifyTimeStamp(tsRep);
        } catch (SVSConnectException e) {
            e.printStackTrace();
        } catch (ApplicationNotFoundException e) {
            e.printStackTrace();
        } catch (InitException e) {
            e.printStackTrace();
        } catch (ParameterTooLongException e) {
            e.printStackTrace();
        } catch (ParameterInvalidException e) {
            e.printStackTrace();
        }
        return verifyRes;
    }

    /**
     * 创建时间戳响应
     * @param inData
     * @return
     */
    public static String createTS(String inData) {
        SecurityEngineDeal sed;
        SecurityEngineDeal.setProfilePath("src/main/resources/config/config2");
        String tsRep = null;
        try {
            sed = SecurityEngineDeal.getInstance("TSSSM2");
            String tsReq = sed.createTSRequest(inData.getBytes(), true);
            tsRep = sed.createTS(tsReq);
        } catch (SVSConnectException | ApplicationNotFoundException | ParameterTooLongException | InitException |
                 ParameterInvalidException e) {
            e.printStackTrace();
        }
        return tsRep;
    }

    /**
     * 解析时间戳
     */
    public static String getTSInfo(String tsRep, int type) {
        SecurityEngineDeal sed;
        SecurityEngineDeal.setProfilePath("src/main/resources/config/config2");
        String tsInfo = null;
        try {
            sed = SecurityEngineDeal.getInstance("TSSSM2");
            tsInfo = sed.getTSInfo(tsRep, type);
        } catch (SVSConnectException | ApplicationNotFoundException | InitException | ParameterInvalidException |
                 ParameterTooLongException | ParameterOutRangeException e) {
            e.printStackTrace();
        }
        return tsInfo;
    }


}
