package smdemo;

import cn.hutool.core.util.CharsetUtil;
import cn.hutool.crypto.SmUtil;
import cn.hutool.crypto.symmetric.SymmetricCrypto;
import cn.org.bjca.exceptions.CommonClientException;
import cn.org.bjca.utils.Base64;
import com.zhonghe.active4j.core.sm.SM2;
import com.zhonghe.active4j.core.sm.SM3;
import com.zhonghe.active4j.core.sm.SM4;
import com.zhonghe.active4j.core.sm.Sign;
import com.zhonghe.active4j.core.util.ShiroUtils;
import org.junit.Test;

public class smdemo {
     /**
      * sm2加密解密测试
      */
    @Test
     public void Sm2test() throws CommonClientException {
        String str = "1234567890";
        byte[] bytes = SM2.SM2Encrypt(str);
        System.out.println("加密后："+ Base64.toBase64String(bytes));
        byte[] bytes1 = SM2.SM2Decrypt(bytes);
        String en = "MHMCIGwJtLUa6awagpyRJla9lIk99SMdM9a1RbE02whAfLClAiEAqyuL+kRuXqMLbhrVJ4/4lRKC8/nk/vmiiP95HhoW1tcEIA0lY0yO3X8VMrwPwH+N7mhPnTru8Eciv0o+Oc6woIz4BApD2FZoYhx2caFh";
        byte[] bytes2 = Base64.decode(en);
        byte[] bytes3 = SM2.SM2Decrypt(bytes2);
        System.out.println("解密后："+ new String(bytes1));
        System.out.println("解密后："+ new String(bytes3));
    }

     /**
      * sm3摘要测试
      */
     @Test
     public void Sm3test() throws CommonClientException {
         String str = "1234567890";
         byte[] bytes = SM3.SM3Encrypt(str);
         System.out.println("加密后："+Base64.toBase64String(bytes));
     }

     /**
      * sm4加密解密测试
      */
     @Test
     public void Sm4test() throws CommonClientException {
         String str = "123456";
//         byte[] bytes = SM4.SM4Encrypt(str);
//         String base64String = Base64.toBase64String(bytes);
//         //System.out.println("加密后："+Base64.toBase64String(bytes));
//         String s1 = SM4.SM4Decrypt(Base64.decode(base64String),"YkYvm6rff7LquIi4bjyKbg==");
//         System.out.println("解密后："+s1);

         SymmetricCrypto sm4 = SmUtil.sm4("1234567812345678".getBytes());
         String s = sm4.encryptHex(str);
         System.out.println("加密后："+ s);
         String s1 = sm4.decryptStr(s, CharsetUtil.CHARSET_UTF_8);
         System.out.println("解密后："+ s1);


     }

     /**
      * 签名验签测试
      */
     @Test
     public void SignTest() throws CommonClientException {
         String str = "1234567890";
         String s = Sign.DataSign(str);
         System.out.println("签名后："+ s);
         boolean b = Sign.DataSignVerify(str, s);
         System.out.println("验签结果："+b);
     }

     /**
      * 文件签名验签
      */
     @Test
     public void FileSignTest() throws CommonClientException {
         String str = "src/main/resources/file/hello.txt";
         String fileSign = Sign.FileSign(str);
         System.out.println("签名：" + fileSign);
         boolean b = Sign.FileSignVerify(str, fileSign);
         System.out.println("验签：" + b);
     }

     @Test
     public void mD5Test()  {
         String s = ShiroUtils.md5("123456", "a9pbpoi");
         System.out.println("MD5加密后："+s);
     }



 }

